cmake_minimum_required(VERSION 3.0.0)

project(zydis-download NONE)

include(ExternalProject)
ExternalProject_Add(zydis
  GIT_REPOSITORY    https://github.com/zyantific/zydis.git
  GIT_TAG           v3.2.1
  SOURCE_DIR        "${CMAKE_BINARY_DIR}/zydis-src"
  BINARY_DIR        "${CMAKE_BINARY_DIR}/zydis-build"
  CONFIGURE_COMMAND ""
  BUILD_COMMAND     ""
  INSTALL_COMMAND   ""
  TEST_COMMAND      ""
)
